<html>
<head>
<title>OGRE: Ogre::LayerBlendModeEx Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1LayerBlendModeEx.html">LayerBlendModeEx</a></div>
<h1>Ogre::LayerBlendModeEx Class Reference</h1><!-- doxytag: class="Ogre::LayerBlendModeEx" -->Class which manages blending of both colour and alpha components.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1LayerBlendModeEx-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#4c678a65c3a32728622812d2784c2e6d">operator==</a> (const <a class="el" href="classOgre_1_1LayerBlendModeEx.html">LayerBlendModeEx</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#1ea4fff299261c723f025337c513dc88">operator!=</a> (const <a class="el" href="classOgre_1_1LayerBlendModeEx.html">LayerBlendModeEx</a> &amp;rhs) const </td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#1ae5925d36df27a6c3590536752264f8">LayerBlendType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#c2cb8de7b805400726882f7003a4bcda">blendType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of blending (colour or alpha).  <a href="#c2cb8de7b805400726882f7003a4bcda"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2">LayerBlendOperationEx</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#fc151f1c17683cd99df776459df2c778">operation</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The operation to be applied.  <a href="#fc151f1c17683cd99df776459df2c778"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">LayerBlendSource</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#334818129ca44c1fbdba2b3b2813368a">source1</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The first source of colour/alpha.  <a href="#334818129ca44c1fbdba2b3b2813368a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">LayerBlendSource</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#94eeae80ba84e9aa5271d317d48f2688">source2</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The second source of colour/alpha.  <a href="#94eeae80ba84e9aa5271d317d48f2688"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#99adb8004759bf3825d934684ab8f171">colourArg1</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manual colour value for manual source1.  <a href="#99adb8004759bf3825d934684ab8f171"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#6bd40927e40bcb2d6c4e077ebd56c24d">colourArg2</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manual colour value for manual source2.  <a href="#6bd40927e40bcb2d6c4e077ebd56c24d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#8af3aad5d2de939d0d9bff3049c82928">alphaArg1</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manual alpha value for manual source1.  <a href="#8af3aad5d2de939d0d9bff3049c82928"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#9dde2b63904e61319b175094f8fc67f0">alphaArg2</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manual alpha value for manual source2.  <a href="#9dde2b63904e61319b175094f8fc67f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html#71cee0ade264a82051913d5eb0fc4c40">factor</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manual blending factor.  <a href="#71cee0ade264a82051913d5eb0fc4c40"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class which manages blending of both colour and alpha components. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class is a utility class used by both <a class="el" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique...">TextureUnitState</a> and <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> to wrap up the details of a blending operation. This blending operation could be used for blending colour or alpha in a texture layer. This class is really only for use by OGRE, since apps can deal with blending modes through the <a class="el" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique...">TextureUnitState</a> class methods setColourOperation and setAlphaOperation. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>It's worth noting that these operations are for blending <em>between texture layers</em> and not between rendered objects and the existing scene. If you wish to make an object blend with others in the scene, e.g. to make transparent objects etc, use the <a class="el" href="classOgre_1_1Material.html#8c9ccac6e60241a1865ac211e3b203c8" title="Sets the kind of blending every pass has with the existing contents of the scene...">Material::setSceneBlending</a> method. </dd></dl>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00134">134</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4c678a65c3a32728622812d2784c2e6d"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::operator==" ref="4c678a65c3a32728622812d2784c2e6d" args="(const LayerBlendModeEx &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::LayerBlendModeEx::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1LayerBlendModeEx.html">LayerBlendModeEx</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00157">157</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>References <a class="el" href="OgreBlendMode_8h-source.html#l00151">alphaArg1</a>, <a class="el" href="OgreBlendMode_8h-source.html#l00153">alphaArg2</a>, <a class="el" href="OgreBlendMode_8h-source.html#l00138">blendType</a>, <a class="el" href="OgreBlendMode_8h-source.html#l00147">colourArg1</a>, <a class="el" href="OgreBlendMode_8h-source.html#l00149">colourArg2</a>, <a class="el" href="OgreBlendMode_8h-source.html#l00155">factor</a>, <a class="el" href="OgreBlendMode_8h-source.html#l00041">Ogre::LBT_COLOUR</a>, <a class="el" href="OgreBlendMode_8h-source.html#l00140">operation</a>, <a class="el" href="OgreBlendMode_8h-source.html#l00142">source1</a>, and <a class="el" href="OgreBlendMode_8h-source.html#l00144">source2</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ea4fff299261c723f025337c513dc88"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::operator!=" ref="1ea4fff299261c723f025337c513dc88" args="(const LayerBlendModeEx &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::LayerBlendModeEx::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1LayerBlendModeEx.html">LayerBlendModeEx</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00189">189</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="c2cb8de7b805400726882f7003a4bcda"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::blendType" ref="c2cb8de7b805400726882f7003a4bcda" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#1ae5925d36df27a6c3590536752264f8">LayerBlendType</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#c2cb8de7b805400726882f7003a4bcda">Ogre::LayerBlendModeEx::blendType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The type of blending (colour or alpha). 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00138">138</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="fc151f1c17683cd99df776459df2c778"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::operation" ref="fc151f1c17683cd99df776459df2c778" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2">LayerBlendOperationEx</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#fc151f1c17683cd99df776459df2c778">Ogre::LayerBlendModeEx::operation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The operation to be applied. 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00140">140</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="334818129ca44c1fbdba2b3b2813368a"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::source1" ref="334818129ca44c1fbdba2b3b2813368a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">LayerBlendSource</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#334818129ca44c1fbdba2b3b2813368a">Ogre::LayerBlendModeEx::source1</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The first source of colour/alpha. 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00142">142</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="94eeae80ba84e9aa5271d317d48f2688"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::source2" ref="94eeae80ba84e9aa5271d317d48f2688" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">LayerBlendSource</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#94eeae80ba84e9aa5271d317d48f2688">Ogre::LayerBlendModeEx::source2</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The second source of colour/alpha. 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00144">144</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="99adb8004759bf3825d934684ab8f171"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::colourArg1" ref="99adb8004759bf3825d934684ab8f171" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#99adb8004759bf3825d934684ab8f171">Ogre::LayerBlendModeEx::colourArg1</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Manual colour value for manual source1. 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00147">147</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6bd40927e40bcb2d6c4e077ebd56c24d"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::colourArg2" ref="6bd40927e40bcb2d6c4e077ebd56c24d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#6bd40927e40bcb2d6c4e077ebd56c24d">Ogre::LayerBlendModeEx::colourArg2</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Manual colour value for manual source2. 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00149">149</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8af3aad5d2de939d0d9bff3049c82928"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::alphaArg1" ref="8af3aad5d2de939d0d9bff3049c82928" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#8af3aad5d2de939d0d9bff3049c82928">Ogre::LayerBlendModeEx::alphaArg1</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Manual alpha value for manual source1. 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00151">151</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="9dde2b63904e61319b175094f8fc67f0"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::alphaArg2" ref="9dde2b63904e61319b175094f8fc67f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#9dde2b63904e61319b175094f8fc67f0">Ogre::LayerBlendModeEx::alphaArg2</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Manual alpha value for manual source2. 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00153">153</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="71cee0ade264a82051913d5eb0fc4c40"></a><!-- doxytag: member="Ogre::LayerBlendModeEx::factor" ref="71cee0ade264a82051913d5eb0fc4c40" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1LayerBlendModeEx.html#71cee0ade264a82051913d5eb0fc4c40">Ogre::LayerBlendModeEx::factor</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Manual blending factor. 
<p>

<p>Definition at line <a class="el" href="OgreBlendMode_8h-source.html#l00155">155</a> of file <a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>.</p>

<p>Referenced by <a class="el" href="OgreBlendMode_8h-source.html#l00157">operator==()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:13 2008
</p>
</body>
</html>
